<?php
/**
 * @connect_module_class_name CPayanywayCiberpay
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayCiberpay extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $default_logo = './images_common/payment-icons/ciberpay.jpg';
	var $unitId = 489755;
	var $accountId = '19357960';
	var $additionalParameters = '';
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_CIBERPAY_TTL;
		$this->description 	= PAW_CIBERPAY_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS'
		);
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

}
?>