<?php
/**
 * @connect_module_class_name CPayanywayEuroset
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayEuroset extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $default_logo = './images_common/payment-icons/euroset.jpg';
	var $unitId = 248362;
	var $accountId = '136';
	var $additionalParameters = '';
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_EUROSET_TTL;
		$this->description 	= PAW_EUROSET_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS'
		);
		$this->additionalParameters = "
			<table><tr>
				<td><label>".PAW_EUROSET_RAPIDAPHONE_TTL."</label></td>
				<td><input type='text' name='additionalParameters.rapidaPhone' value='' /><br/>
					<small>".PAW_EUROSET_RAPIDAPHONE_HELP."</small></td>
			</tr></table><br/><br/>";
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

}
?>