<?php
/**
 * @connect_module_class_name CPayanywayFaktura
 * @package DynamicModules
 * @subpackage Payment
 */

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayFaktura extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $unitId = 609111;
	var $additionalParameters = '';
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_FAKTURA_TTL;
		$this->description 	= PAW_FAKTURA_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS',
		);
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

}
?>