<?php
/**
 * @connect_module_class_name CPayanywayUbrir
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayUbrir extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $unitId = 805519;
	var $accountId = '91836911';
	var $additionalParameters = '';
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_UBRIR_TTL;
		$this->description 	= PAW_UBRIR_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS'
		);
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

}
?>