<?php
define('DIR_ROOT', str_replace("\\","/",realpath(dirname(__FILE__).'/../')));
$DebugMode = false;
$Warnings = array();
// -------------------------INITIALIZATION-----------------------------//
include_once(DIR_ROOT.'/includes/init.php');
include_once(DIR_CFG.'/connect.inc.wa.php');

if(isset($_REQUEST['debug'])&&
	($_REQUEST['debug']=='time' || $_REQUEST['debug']=='total_time')){
	$T = new Timer();
	$T->timerStart();
}
$DB_tree = new DataBase();
$DB_tree->connect(SystemSettings::get('DB_HOST'), SystemSettings::get('DB_USER'), SystemSettings::get('DB_PASS'));
$DB_tree->selectDB(SystemSettings::get('DB_NAME'));
define('VAR_DBHANDLER','DBHandler');
$Register = &Register::getInstance();
$Register->set(VAR_DBHANDLER, $DB_tree);

include(DIR_FUNC.'/setting_functions.php' );
settingDefineConstants();

require_once(DIR_FUNC.'/category_functions.php');
require_once(DIR_FUNC.'/product_functions.php');
require_once(DIR_FUNC.'/statistic_functions.php');
require_once(DIR_FUNC.'/datetime_functions.php' );
require_once(DIR_FUNC.'/module_function.php' );
require_once(DIR_FUNC.'/cart_functions.php' );
require_once(DIR_FUNC.'/registration_functions.php' );
require_once(DIR_FUNC.'/order_status_functions.php' );
require_once(DIR_FUNC.'/order_functions.php' );
require_once(DIR_FUNC.'/payment_functions.php' );
require_once(DIR_FUNC.'/reg_fields_functions.php' );

require_once(DIR_FUNC . '/../modules/payment/payanyway.php');

$Module = new CPayanyway();

/* @var $Module PaymentModule */
$Module->transactionResultHandler('callback','','handler');

if(isset($_REQUEST['debug'])&& ($_REQUEST['debug']=='time' || $_REQUEST['debug']=='total_time')){

	print 'time: <strong>'.$T->timerStop().'</strong><br />';
}
