<?php
/**
 * @connect_module_class_name CPayanywayPost
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayPost extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $default_logo = './images_common/payment-icons/post.jpg';
	var $unitId = 1029;
	var $accountId = '15';
	var $additionalParameters = '';
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_POST_TTL;
		$this->description 	= PAW_POST_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS'
		);
		$this->additionalParameters = "
			<table><tr>
				<td><label>".PAW_POST_SENDERINDEX_TTL."</label></td>
				<td><input type='text' name='additionalParameters.mailofrussiaSenderIndex' value=''></td>
			</tr><tr>
				<td><label>".PAW_POST_SENDERREGION_TTL."</label></td>
				<td><input type='text' name='additionalParameters.mailofrussiaSenderRegion' value=''></td>
			</tr><tr>
				<td><label>".PAW_POST_SENDERADDRESS_TTL."</label></td>
				<td><input type='text' name='additionalParameters.mailofrussiaSenderAddress' value=''></td>
			</tr><tr>
				<td><label>".PAW_POST_SENDERNAME_TTL."</label></td>
				<td><input type='text' name='additionalParameters.mailofrussiaSenderName' value=''></td>
			</tr></table><br/><br/>";
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

}
?>