<?php
/**
 * @connect_module_class_name CPayanywayQiwi
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayQiwi extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $default_logo = './images_common/payment-icons/qiwi.png';
	var $unitId = 822360;
	var $additionalParameters = '';
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_QIWI_TTL;
		$this->description 	= PAW_QIWI_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS'
		);
        $this->additionalParameters = "
			<table><tr>
				<td><label>".PAW_QIWI_USER_TTL."</label></td>
				<td><input type='text' name='additionalParameters.qiwiUser' value=''></td>
			</tr><tr>
				<td><label>".PAW_QIWI_COMMENT_TTL."</label></td>
				<td><input type='text' name='additionalParameters.qiwiComment' value=''></td>
			</tr></table><br/><br/>";

		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

}
?>